> For the complete documentation index, see [llms.txt](https://docs.outpoll.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.outpoll.com/api/rest-api/private-endpoints/api-key-management/api-keys.md).

# API Keys

Manage API keys with account endpoints.

### Send Verification Code

```
POST /auth/api-key/send-code
```

#### Response `200 OK`

Sends the email confirmation code required for API key creation.

### Create API Key

```
POST /auth/api-key
```

#### Request Body

| Field     | Type   | Required | Description                                         |
| --------- | ------ | -------- | --------------------------------------------------- |
| code      | string | Yes      | Email confirmation code                             |
| otp       | string | No       | 2FA OTP code if 2FA is enabled                      |
| expiresAt | string | No       | Expiration time in ISO 8601. `null` means no expiry |

#### Response `200 OK`

```json
{
  "id": "key_live_primary",
  "key": "op_k_live_primary",
  "secret": "sec_live_primary_base64url",
  "createdAt": "2026-01-15T10:30:00Z",
  "expiresAt": null
}
```

| Field     | Type   | Description                    |
| --------- | ------ | ------------------------------ |
| id        | string | API key record ID              |
| key       | string | Public API key                 |
| secret    | string | Secret for HMAC signing        |
| createdAt | string | Creation timestamp in ISO 8601 |
| expiresAt | string | Expiration timestamp or `null` |

The `secret` is returned only once.

Creating a new key deactivates the previous key.

### Get Active API Key

```
GET /auth/api-key
```

#### Response `200 OK`

Returns active key metadata. The `secret` is not returned.

### Revoke API Key

```
DELETE /auth/api-key
```

#### Response `200 OK` or `204 No Content`

Revokes the active key.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.outpoll.com/api/rest-api/private-endpoints/api-key-management/api-keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
